2024-03-03 01:05 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002438CannonFodder2[All Projects] Generalpublic2011-05-17 21:53
ReporterStellan 
Assigned ToWeplProject InfoCannon Fodder 2 (Sensible Software)
http://www.whdload.de/games/CannonFodder2.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0002438: I get access fault when I do (reproduceable) following: - Start first mission
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: Version 1.12 (11.05.2011)

I get access fault when I do (reproduceable) following:
- Start first mission or load a mission
- When game screen appears press ESC ("Try again")
- On the next screen (mission briefing) press ESC
- Now press LOAD on the main screen
After this I get each time an access fault
************************* 12-Mai-11 14:03:40 ************************17.0.4846***
Slave='CannonFodder2.Slave' (1364 bytes)
ShadowMem  25C4CF8 -  2697CF8 ( 864256) AbsolutMem    D3000 -   100000 ( 184320)
Resload    2FBF000 -  2FC6250 (  29264) at 2FBF000  GL=$2FC8000
Slave      2FDA000 -  2FDA530 (   1328) at 2FDA000  BaseMemSize=$100000
ExpMem     2FD8000 -  2FD9000 (   4096) at 2FD8000
attn=7F(40,82) fc=-1 kn=11032 cs=70F6 rw=0 zpt=-1 ep=0 ei=0
setcpu=13E(IC,SCB,ECB,BWT)
Exception "Access Fault" ($7008) PC = $A8B92 Byte Read from $FFFFFFFF
$000a8b5a addq.w       #5,d0
$000a8b5c cmp.w        ($828e2),d0
$000a8b62 blt.b        $a8b76
$000a8b64 move.w       ($828e2),d0
$000a8b6a subq.w       #5,d0
$000a8b6c bpl.b        $a8b70
$000a8b6e clr.w        d0
$000a8b70 move.w       d0,($828da)
$000a8b76 move.w       #3,($8285e)
$000a8b7e rts
$000a8b80 move.l       ($828d6),a0
$000a8b86 move.w       ($828da),d0
$000a8b8c asl.w        #5,d0
$000a8b8e lea          (0,a0,d0.w),a0                 ;$ffffffff
$000a8b92 tst.b        (a0)                           ;$ffffffff
$000a8b94 beq.b        $a8bee
$000a8b96 lea          ($828c0),a1
$000a8b9c move.l       ($828e6),a2
$000a8ba2 move.b       (a0)+,d0                       ;$ffffffff
$000a8ba4 beq.b        $a8bac
$000a8ba6 move.b       d0,(a1)+                       ;$00082234
$000a8ba8 move.b       d0,(a2)+                       ;$000000a2
$000a8baa bra.b        $a8ba2
$000a8bac move.b       #$ff,(a1)                      ;$00082234
$000a8bb0 move.b       d0,(a2)                        ;$000000a2
$000a8bb2 addi.l       #$20,($828e6)
$000a8bbc lea          ($828c0),a0
$000a8bc2 move.w       ($828dc),d3
$000a8bc8 mulu         #$15,d3
exception stackframe:
$000FFFC4 0004000A 8B927008 000FE7D6 05210001 00210041 FFFFFFFF 000FE7F4 000A8AA8
$000FFFE4 000000F0 000000D7 00002D56 00003122 00DFF000 0004000A 1E900064
regular stack:
$000FE7F4 000A8AA8 00010000 000861A4 CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC
$000FE814 CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC
$000FE834 CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC
$000FE854 CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC
$000FE874 CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC
  ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
Dx        0        29  FFFF0004         5         5         0         1         1
Ax FFFFFFFF     82234        A2        2B         0         0    DFF000
                 TTSM III   XNZVC
PC=   A8B92  SR %0000000000000100  USP=FE7F4  ISP=FFFC4  MSP=FF800
VBR=2FC9000  SFC=5  DFC=1  CACR=8000  
TC=8000  URP=02FD6000  SRP=02FD6000  MMUSR=00000000
DTT0=00000000  DTT1=00000000  ITT0=00000000  ITT1=00000000
         MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
intena=%0100000000001100 dmacon=%0000001111101111 adkcon=$1100
intreq=%0000011111100000
vposr....A300  vhposr...0288  joy0dat..1688  joy1dat..0000  clxdat...8023  
pot0dat..0000  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..8000  
deniseid.00F8  hhposr...FFAF  
   ciaa:     PI ROPS     ciab:     PI ROPS
 cra=00000000  ta=21FF<21FF    cra=00000000  ta=FFFF<FFFF
     AII ROPS       AII ROPS
 crb=00000000  tb=21FF<21FF    crb=00000000  tb=FFFF<FFFF
     10RTWCLO   parallel     DRCCDSOY      M3210HDS
 pra=11111110  prb=10011001      pra=11111111  prb=11111111
       ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
       event=000713  icr=00  sdr=74    event=08A63B  icr=00  sdr=00
************************* 12-Mai-11 14:04:55 ************************17.0.4846***
Slave='CannonFodder2.Slave' (1364 bytes)
ShadowMem  287F6B0 -  29526B0 ( 864256) AbsolutMem    D3000 -   100000 ( 184320)
Resload    2FC6000 -  2FCD250 (  29264) at 2FC6000  GL=$2FD1000
Slave      2FDA000 -  2FDA530 (   1328) at 2FDA000  BaseMemSize=$100000
ExpMem     2FCF000 -  2FD0000 (   4096) at 2FCF000
attn=7F(40,82) fc=-1 kn=11032 cs=70F6 rw=0 zpt=-1 ep=0 ei=0
setcpu=13E(IC,SCB,ECB,BWT)
Exception "Access Fault" ($7008) PC = $A8B92 Byte Read from $DA418103
$000a8b5a addq.w       #5,d0
$000a8b5c cmp.w        ($828e2),d0
$000a8b62 blt.b        $a8b76
$000a8b64 move.w       ($828e2),d0
$000a8b6a subq.w       #5,d0
$000a8b6c bpl.b        $a8b70
$000a8b6e clr.w        d0
$000a8b70 move.w       d0,($828da)
$000a8b76 move.w       #3,($8285e)
$000a8b7e rts
$000a8b80 move.l       ($828d6),a0
$000a8b86 move.w       ($828da),d0
$000a8b8c asl.w        #5,d0
$000a8b8e lea          (0,a0,d0.w),a0                 ;$da417f83
$000a8b92 tst.b        (a0)                           ;$da418103
$000a8b94 beq.b        $a8bee
$000a8b96 lea          ($828c0),a1
$000a8b9c move.l       ($828e6),a2
$000a8ba2 move.b       (a0)+,d0                       ;$da418103
$000a8ba4 beq.b        $a8bac
$000a8ba6 move.b       d0,(a1)+                       ;$00082244
$000a8ba8 move.b       d0,(a2)+                       ;$000000a2
$000a8baa bra.b        $a8ba2
$000a8bac move.b       #$ff,(a1)                      ;$00082244
$000a8bb0 move.b       d0,(a2)                        ;$000000a2
$000a8bb2 addi.l       #$20,($828e6)
$000a8bbc lea          ($828c0),a0
$000a8bc2 move.w       ($828dc),d3
$000a8bc8 mulu         #$15,d3
exception stackframe:
$000FFFC4 000A000A 8B927008 000FE7D6 05210001 00210041 DA418103 000FE7F4 000A8AA8
$000FFFE4 000000A2 FFFFAB97 00000000 00000000 00DFF000 00080009 F6320064
regular stack:
$000FE7F4 000A8AA8 00000000 000861A4 CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC
$000FE814 CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC
$000FE834 CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC
$000FE854 CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC
$000FE874 CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC CCCCCCCC
  ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
Dx     FE80  FFFFAB99  FFFF0004  FFFF0005         5  FFFF0000         1         1
Ax DA418103     82244        A2  FFFFAB9B         0         0    DFF000
                 TTSM III   XNZVC
PC=   A8B92  SR %0000000000001010  USP=FE7F4  ISP=FFFC4  MSP=FF800
VBR=2FD2000  SFC=5  DFC=1  CACR=8000  
TC=8000  URP=02FC4000  SRP=02FC4000  MMUSR=00000000
DTT0=00000000  DTT1=00000000  ITT0=00000000  ITT1=00000000
         MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
intena=%0100000000001100 dmacon=%0000001111101111 adkcon=$1100
intreq=%0000011111100000
vposr....A300  vhposr...0287  joy0dat..DCB5  joy1dat..0000  clxdat...8023  
pot0dat..0000  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..8000  
deniseid.00F8  hhposr...FFAF  
   ciaa:     PI ROPS     ciab:     PI ROPS
 cra=00000000  ta=21FF<21FF    cra=00000000  ta=FFFF<FFFF
     AII ROPS       AII ROPS
 crb=00000000  tb=21FF<21FF    crb=00000000  tb=FFFF<FFFF
     10RTWCLO   parallel     DRCCDSOY      M3210HDS
 pra=11111110  prb=10011001      pra=11111111  prb=11111111
       ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
       event=00065C  icr=00  sdr=74    event=07C67C  icr=00  sdr=00
TagsNo tags attached.
MachineA1200
CPU68040
CPUSpeed40
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem32 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftSelfmade
WHDLoad17.0beta
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0002327

Wepl (manager)

cannot reproduce
try nocache

note ~0002329

Stellan (reporter)

NOCACHE didn`t helped. I noticed a difference when I don`t press ESC but wait for enemy shooting all recruts what results in a game over. After that loading works. The way with the hits doesn`t change the music (try again music). It is also on the main screen. If you do a normal game over other music is played and crosses are visible.

However, the access fault isn`t so critical and I know how to prevent it. So, you must not wast time for that.

note ~0002330

Wepl (manager)

Last edited: 2011-05-13 23:30

View 2 revisions

how many savegames do you have?

note ~0002331

Stellan (reporter)

Good Idea, that seems the reason. I had only one savgame. Next I tried with two savegames = same result. With three or four savgames loading works.

note ~0002335

Wepl (manager)

With that info I could reproduce it, thanks.
Please try attached Slave. It should fix the issue.

note ~0002336

Stellan (reporter)

With the new slave you fixed it. Thanks! :D

note ~0002347

Wepl (manager)

new install packages has been released
+Notes

-Issue History
Date Modified Username Field Change
2011-05-12 18:25 administrator New Issue
2011-05-12 18:25 administrator Status new => assigned
2011-05-12 18:25 administrator Assigned To => Wepl
2011-05-12 23:32 Wepl Note Added: 0002327
2011-05-13 13:50 Stellan Note Added: 0002329
2011-05-13 23:30 Wepl Note Added: 0002330
2011-05-13 23:30 Wepl Note Edited: 0002330 View Revisions
2011-05-14 12:19 Stellan Note Added: 0002331
2011-05-15 23:06 Wepl File Added: CannonFodder2.Slave
2011-05-15 23:07 Wepl Note Added: 0002335
2011-05-16 16:49 Stellan Note Added: 0002336
2011-05-17 21:53 Wepl Note Added: 0002347
2011-05-17 21:53 Wepl Status assigned => closed
2011-05-17 21:53 Wepl Resolution open => fixed
+Issue History